#include <iostream>

using namespace std;

int main()
{
    long long n, m, k;
    cin >> n >> m >> k;
    if (n % k != 0)
        n += (k - n % k);
    if (m % k != 0)
        m += (k - m % k);
    cout << (n / k) * (m / k);
    return 0;
}
